ranges::v3::tuple_apply_fn Struct Reference
Utility

## Public Member Functions

template<typename Fun , typename Tup >
auto | operator() (Fun &&fun, Tup &&tup) const noexcept(noexcept(decltype(tuple_apply_fn::impl(static_cast< Fun &&>(fun), static_cast< Tup &&>(tup), tuple_indices_t< Tup >{}))(tuple_apply_fn::impl(static_cast< Fun &&>(fun), static_cast< Tup &&>(tup), tuple_indices_t< Tup >{})))) -> decltype(tuple_apply_fn::impl(static_cast< Fun &&>(fun), static_cast< Tup &&>(tup), tuple_indices_t< Tup >